//============================================================================
// FILE: CoreMonitor.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des démons de Diese
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _COREMONITOR_HH
#define _COREMONITOR_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "DescValueMonitor.h"
//#include "StructureMonitor.h"


/* *@name Les démons prédéfinis */
// @{

/* *@name Fonction d'installation */
// @{
        // / Cette fonction est appelée en début du programme principal, pour que les démons prédéfinis dans \Db soient actifs dès le début de la période simulée. Cet appel est automatiquement réalisé si l'initialisation de la simulation est faite dans un fichier de spécifications de la simulation lu par un appel à {\bf ParseSimulationFile} (voir page 'Le fichier des spécifications de simulation').
void D_DefineMonitors();
// @}

//X///////////////X/////////////////////////////X////////////////////////////

// EXTERNAL REFERENCES

/* *@name Démons sur la structure */
// @{
// @}

//---------------------------------------------------------------------------
/* *@name Démons sur les descripteurs */
// @{
// @}  // fin démons descripteurs

// @}  // fin démons
//---------------------------------------------------------------------------

#endif  // _C_COREMONITOR_HH
