//============================================================================
// FILE: O_CoreMonitor.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des démons de Open-Diese
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : 
//=X===============X=============================X============================

#ifndef _O_COREMONITOR_HH
#define _O_COREMONITOR_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "DescValueMonitor.h"
//#include "StructureMonitor.h"


/**@name Les démons prédéfinis */
//@{

/**@name Fonction d'installation */
//@{
        /// Cette fonction est appelée en début du programme principal, pour que les démons prédéfinis dans \ODb soient actifs dès le début de la période simulée. Cet appel est automatiquement réalisé si l'initialisation de la simulation est faite dans un fichier de spécifications de la simulation lu par un appel à {\bf ParseSimulationFile} (voir page \pageref{simulationFile}).
void O_DefineMonitors();
//@}

//X///////////////X/////////////////////////////X////////////////////////////

// EXTERNAL REFERENCES

/** @name Démons sur la structure */
// @{
        
// extern StructureMonitor* SingleStockElementTabMonitor;
// @}

//---------------------------------------------------------------------------
/** @name Démons sur les descripteurs */
// @{

        
// extern IntDescValueMonitor* ActivityReadyToRunMonitor;
// @}  // fin démons descripteurs

//@}  // fin démons
//---------------------------------------------------------------------------

#endif  // _O_COREMONITOR_HH
