
Descriptor InstantAttribute {
	ClassSymbol		: INSTANT_ATTRIBUTE
	ClassName		: instantAttribute
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor CurrentElementIndex {
	ClassSymbol	: CURRENT_ELEMENT_INDEX
	ClassName	: currentElementIndex
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor BegDate {
	ClassSymbol	: BEG_DATE
	ClassName	: begDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor MinBegDate {
	ClassSymbol	: MIN_BEG_DATE
	ClassName	: minBegDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor MaxBegDate {
	ClassSymbol	: MAX_BEG_DATE
	ClassName	: maxBegDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor EndDate {
	ClassSymbol	: END_DATE
	ClassName	: endDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor MinEndDate {
	ClassSymbol	: MIN_END_DATE
	ClassName	: minEndDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor MaxEndDate {
	ClassSymbol	: MAX_END_DATE
	ClassName	: maxEndDate
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor Situation {
	ClassSymbol	: SITUATION
	ClassName	: situation
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor AllocationPriorityDegree {
	ClassSymbol		: ALLOCATION_PRIORITY_DEGREE
	ClassName		: allocationPriorityDegree
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor OperatedObjectSpecAttribute {
	ClassSymbol	: OPERATED_OBJECT_SPEC_ATTRIBUTE
	ClassName	: operatedObjectSpecAttribute
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor OperationSpecAttribute {
	ClassSymbol	: OPERATION_SPEC_ATTRIBUTE
	ClassName	: operationSpecAttribute
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor OperationClassId {
	ClassSymbol	: OPERATION_CLASS_ID
	ClassName	: operationClassId
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor OperationClassName {
	ClassSymbol	: OPERATION_CLASS_NAME
	ClassName	: operationClassName
	SubClass	: VARIABLE
	Type		: STRING
}
Descriptor PerformerSpecAttribute {
	ClassSymbol	: PERFORMER_SPEC_ATTRIBUTE
	ClassName	: performerSpecAttribute
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor GoalList {
	ClassSymbol	: GOAL_LIST
	ClassName	: goalList
	SubClass	: VARIABLE
	Type		: ENTITY_TAB
}
Descriptor DestinationSpecAttribute {
	ClassSymbol	: DESTINATION_SPEC_ATTRIBUTE
	ClassName	: destinationSpecAttribute
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor TransferInformationAttribute {
	ClassSymbol	: TRANSFER_INFORMATION_ATTRIBUTE
	ClassName	: transferInformationAttribute
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor OpenToOpenDelays {
	ClassSymbol	: OPEN_TO_OPEN_DELAYS
	ClassName	: openToOpenDelays
	SubClass	: VARIABLE
	Type		: INTDOMAIN
}
Descriptor CloseToOpenDelays {
	ClassSymbol	: CLOSE_TO_OPEN_DELAYS
	ClassName	: closeToOpenDelays
	SubClass	: VARIABLE
	Type		: INTDOMAIN
}
Descriptor OpenToCloseDelays {
	ClassSymbol	: OPEN_TO_CLOSE_DELAYS
	ClassName	: openToCloseDelays
	SubClass	: VARIABLE
	Type		: INTDOMAIN
}
Descriptor CloseToCloseDelays {
	ClassSymbol	: CLOSE_TO_CLOSE_DELAYS
	ClassName	: closeToCloseDelays
	SubClass	: VARIABLE
	Type		: INTDOMAIN
}
Descriptor MinNumberOfReplications {
	ClassSymbol	: MIN_NUMBER_OF_REPLICATIONS
	ClassName	: minNumberOfReplications
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor MaxNumberOfReplications {
	ClassSymbol	: MAX_NUMBER_OF_REPLICATIONS
	ClassName	: maxNumberOfReplications
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor ReplicationCounter {
	ClassSymbol	: REPLICATION_COUNTER
	ClassName	: replicationCounter
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor IsOneShot {
	ClassSymbol		: IS_ONE_SHOT
	ClassName		: isOneShot
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor ObjectSetType {
	ClassSymbol		: OBJECT_SET_TYPE
	ClassName		: objectSetType
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor ObjectEntitySpecAttribute {
	ClassSymbol		: OBJECT_ENTITY_SPEC_ATTRIBUTE
	ClassName		: objectEntitySpecAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITYSPEC
}
Descriptor ContinuationMode {
	ClassSymbol		: CONTINUATION_MODE
	ClassName		: continuationMode
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor SelectorFctId {
	ClassSymbol		: SELECTOR_FCT_ID
	ClassName		: selectorFctId
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor SelectorFctArg {
	ClassSymbol		: SELECTOR_FCT_ARG
	ClassName		: selectorFctArg
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor EntitySpecReferenceClassId {
	ClassSymbol	: ENTITY_SPEC_REFERENCE_CLASS_ID
	ClassName	: entitySpecReferenceClassId
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor EntitySpecReferenceClassName {
	ClassSymbol	: ENTITY_SPEC_REFERENCE_CLASS_NAME
	ClassName	: entitySpecReferenceClassName
	SubClass	: VARIABLE
	Type		: STRING
}
Descriptor EntitySpecReferentEntity {
	ClassSymbol	: ENTITY_SPEC_REFERENT_ENTITY
	ClassName	: entitySpecReferentEntity
	SubClass	: VARIABLE
	Type		: P_ENTITY
}
Descriptor PreExpandedList {
	ClassSymbol	: PRE_EXPANDED_LIST
	ClassName	: preExpandedList
	SubClass	: VARIABLE
	Type		: ENTITY_TAB
}
Descriptor DeveloppedList {
	ClassSymbol	: DEVELOPPED_LIST
	ClassName	: developpedList
	SubClass	: VARIABLE
	Type		: ENTITY_TAB
}
Descriptor RequiredResources {
	ClassSymbol	: REQUIRED_RESOURCES
	ClassName	: requiredResources
	SubClass	: VARIABLE
	Type		: ENTITY_TAB
}
Descriptor PerformerEntitySpecAttribute {
	ClassSymbol		: PERFORMER_ENTITY_SPEC_ATTRIBUTE
	ClassName		: performerEntitySpecAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITYSPEC
}
Descriptor ResourceEntitySpecAttribute {
	ClassSymbol		: RESOURCE_ENTITY_SPEC_ATTRIBUTE
	ClassName		: resourceEntitySpecAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITYSPEC
}
Descriptor ProportionalityMode {
	ClassSymbol		: PROPORTIONALITY_MODE
	ClassName		: proportionalityMode
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor TransferQuantityId {
	ClassSymbol		: TRANSFER_QUANTITY_ID
	ClassName		: transferQuantityId
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor TransferQuantityOption {
	ClassSymbol		: TRANSFER_QUANTITY_OPTION
	ClassName		: transferQuantityOption
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor TransferQuantityIntValue {
	ClassSymbol		: TRANSFER_QUANTITY_INT_VALUE
	ClassName		: transferQuantityIntValue
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor TransferQuantityFloatValue {
	ClassSymbol		: TRANSFER_QUANTITY_FLOAT_VALUE
	ClassName		: transferQuantityFloatValue
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor DistributionMode {
	ClassSymbol		: DISTRIBUTION_MODE
	ClassName		: distributionMode
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor AttachedEntity {
	ClassSymbol		: ATTACHED_ENTITY
	ClassName		: attachedEntity
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor OperatedEntityId {
	ClassSymbol		: OPERATED_ENTITY_ID
	ClassName		: operatedEntityId
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor Step {
	ClassSymbol		: STEP
	ClassName		: step
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor SuspensionThreshold {
	ClassSymbol		: SUSPENSION_THRESHOLD
	ClassName		: suspensionThreshold
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor PriorityDegree {
	ClassSymbol		: PRIORITY_DEGREE
	ClassName		: priorityDegree
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor AchievementDegree {
	ClassSymbol	: ACHIEVEMENT_DEGREE
	ClassName	: achievementDegree
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor ActivityClosingThreshold {
	ClassSymbol	: ACTIVITY_CLOSING_THRESHOLD
	ClassName	: activityClosingThreshold
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor UnitSpeed {
	ClassSymbol		: UNIT_SPEED
	ClassName		: unitSpeed
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor QuantityDescriptorId {
	ClassSymbol		: QUANTITY_DESCRIPTOR_ID
	ClassName		: quantityDescriptorId
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntQuantitySpeed {
	ClassSymbol		: INT_QUANTITY_SPEED
	ClassName		: intQuantitySpeed
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor FloatQuantitySpeed {
	ClassSymbol		: FLOAT_QUANTITY_SPEED
	ClassName		: floatQuantitySpeed
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor TimeSpeed {
	ClassSymbol		: TIME_SPEED
	ClassName		: timeSpeed
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor IsPermanent {
	ClassSymbol		: IS_PERMANENT
	ClassName		: isPermanent
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor AvailabilityStatus {
	ClassSymbol	: AVAILABILITY_STATUS
	ClassName	: availabilityStatus
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor Power {
	ClassSymbol	: POWER
	ClassName	: power
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor TimeAvailabilityAttribute {
	ClassSymbol		: TIME_AVAILABILITY_ATTRIBUTE
	ClassName		: timeAvailabilityAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor StateAvailabilityAttribute {
	ClassSymbol		: STATE_AVAILABILITY_ATTRIBUTE
	ClassName		: stateAvailabilityAttribute
	SubClass	: CONSTANT
	Type	: ENTITY_TAB
}
Descriptor AvailabilityTimetableAttribute {
	ClassSymbol		: AVAILABILITY_TIMETABLE_ATTRIBUTE
	ClassName		: availabilityTimetableAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor CapacityAvailabilityAttribute {
	ClassSymbol		: CAPACITY_AVAILABILITY_ATTRIBUTE
	ClassName		: capacityAvailabilityAttribute
	SubClass	: CONSTANT
	Type	: ENTITY_TAB
}
Descriptor DescribedResource {
	ClassSymbol		: DESCRIBED_RESOURCE
	ClassName		: describedResource
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor DescriptorIdAttribute {
	ClassSymbol		: DESCRIPTOR_ID_ATTRIBUTE
	ClassName		: descriptorIdAttribute
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor DescriptorNameAttribute {
	ClassSymbol		: DESCRIPTOR_NAME_ATTRIBUTE
	ClassName		: descriptorNameAttribute
	SubClass	: CONSTANT
	Type	: STRING
}
Descriptor AnonymousIntAttribute {
	ClassSymbol	: ANONYMOUS_INT_ATTRIBUTE
	ClassName	: anonymousIntAttribute
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor AnonymousFloatAttribute {
	ClassSymbol	: ANONYMOUS_FLOAT_ATTRIBUTE
	ClassName	: anonymousFloatAttribute
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor IntUpperLevel {
	ClassSymbol		: INT_UPPER_LEVEL
	ClassName		: intUpperLevel
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntLowerLevel {
	ClassSymbol		: INT_LOWER_LEVEL
	ClassName		: intLowerLevel
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntCurrentLevel {
	ClassSymbol	: INT_CURRENT_LEVEL
	ClassName	: intCurrentLevel
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor FloatUpperLevel {
	ClassSymbol		: FLOAT_UPPER_LEVEL
	ClassName		: floatUpperLevel
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor FloatLowerLevel {
	ClassSymbol		: FLOAT_LOWER_LEVEL
	ClassName		: floatLowerLevel
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor FloatCurrentLevel {
	ClassSymbol	: FLOAT_CURRENT_LEVEL
	ClassName	: floatCurrentLevel
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor TimeDomainAttribute {
	ClassSymbol		: TIME_DOMAIN_ATTRIBUTE
	ClassName		: timeDomainAttribute
	SubClass	: CONSTANT
	Type	: INTDOMAIN
}
Descriptor StateDomain {
	ClassSymbol		: STATE_DOMAIN
	ClassName		: stateDomain
	SubClass	: CONSTANT
	Type	: DESCVALUESPEC_TAB
}
Descriptor AvailabilityMode {
	ClassSymbol		: AVAILABILITY_MODE
	ClassName		: availabilityMode
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor OccurrenceCrossDomainAttribute {
	ClassSymbol		: OCCURRENCE_CROSS_DOMAIN_ATTRIBUTE
	ClassName		: occurrenceCrossDomainAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor ConstrainedEntityClassId {
	ClassSymbol	: CONSTRAINED_ENTITY_CLASS_ID
	ClassName	: constrainedEntityClassId
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor EntityIdAttribute {
	ClassSymbol		: ENTITY_ID_ATTRIBUTE
	ClassName		: entityIdAttribute
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor BinaryOperatorId {
	ClassSymbol		: BINARY_OPERATOR_ID
	ClassName		: binaryOperatorId
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor AcceptabilityThreshold {
	ClassSymbol		: ACCEPTABILITY_THRESHOLD
	ClassName		: acceptabilityThreshold
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor MemoryScope {
	ClassSymbol	: MEMORY_SCOPE
	ClassName	: memoryScope
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor PredictionScope {
	ClassSymbol	: PREDICTION_SCOPE
	ClassName	: predictionScope
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor ResourceConstraintList {
	ClassSymbol		: RESOURCE_CONSTRAINT_LIST
	ClassName		: resourceConstraintList
	SubClass	: CONSTANT
	Type	: ENTITY_TAB
}
Descriptor TargetWeight {
	ClassSymbol		: TARGET_WEIGHT
	ClassName		: targetWeight
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor AntiTargetWeight {
	ClassSymbol		: ANTI_TARGET_WEIGHT
	ClassName		: antiTargetWeight
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor ActivitySetDefaultUtility {
	ClassSymbol		: ACTIVITY_SET_DEFAULT_UTILITY
	ClassName		: activitySetDefaultUtility
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor ActivitySetSatisfactionThreshold {
	ClassSymbol		: ACTIVITY_SET_SATISFACTION_THRESHOLD
	ClassName		: activitySetSatisfactionThreshold
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor ActivityListAttribute {
	ClassSymbol		: ACTIVITY_LIST_ATTRIBUTE
	ClassName		: activityListAttribute
	SubClass	: CONSTANT
	Type	: ENTITY_TAB
}
Descriptor CriterionAttribute {
	ClassSymbol		: CRITERION_ATTRIBUTE
	ClassName		: criterionAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITY
}
Descriptor WeightAttribute {
	ClassSymbol	: WEIGHT_ATTRIBUTE
	ClassName	: weightAttribute
	SubClass	: VARIABLE
	Type		: FLOAT
}
Descriptor ActivityActionMode {
	ClassSymbol	: ACTIVITY_ACTION_MODE
	ClassName	: activityActionMode
	SubClass	: VARIABLE
	Type		: INT
}
Descriptor IntInfSupport {
	ClassSymbol		: INT_INF_SUPPORT
	ClassName		: intInfSupport
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntInfCore {
	ClassSymbol		: INT_INF_CORE
	ClassName		: intInfCore
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntSupCore {
	ClassSymbol		: INT_SUP_CORE
	ClassName		: intSupCore
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor IntSupSupport {
	ClassSymbol		: INT_SUP_SUPPORT
	ClassName		: intSupSupport
	SubClass	: CONSTANT
	Type	: INT
}
Descriptor FloatInfSupport {
	ClassSymbol		: FLOAT_INF_SUPPORT
	ClassName		: floatInfSupport
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor FloatSupSupport {
	ClassSymbol		: FLOAT_SUP_SUPPORT
	ClassName		: floatSupSupport
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor FloatInfCore {
	ClassSymbol		: FLOAT_INF_CORE
	ClassName		: floatInfCore
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor FloatSupCore {
	ClassSymbol		: FLOAT_SUP_CORE
	ClassName		: floatSupCore
	SubClass	: CONSTANT
	Type	: FLOAT
}
Descriptor CriterionSetSubNodes {
	ClassSymbol		: CRITERION_SET_SUB_NODES
	ClassName		: criterionSetSubNodes
	SubClass	: CONSTANT
	Type	: ENTITY_TAB
}
Descriptor GoalAttribute {
	ClassSymbol		: GOAL_ATTRIBUTE
	ClassName		: goalAttribute
	SubClass	: CONSTANT
	Type	: P_ENTITY
}